Package alt.javax.mail

# Interface Message

All Known Subinterfaces:
  `MimeMessage`

All Known Implementing Classes:
  `MessageImpl`, `MimeMessageImpl`, `MockMessage`, `MockMimeMessage`

public interface Message

## Method Summary

Modifier and Type
Method
Description
`void`
`addFrom(Address[] addresses)`
`void`
`addHeader(String s, String s1)`
`void`
`addRecipients(javax.mail.Message.RecipientType type, Address[] addresses)`
`Enumeration`
`getAllHeaders()`
`Object`
`getContent()`
`String`
`getContentType()`
`javax.activation.DataHandler`
`getDataHandler()`
`String`
`getDescription()`
`String`
`getDisposition()`
`String`
`getFileName()`
`Flags`
`getFlags()`
`Address[]`
`getFrom()`
`String[]`
`getHeader(String s)`
`InputStream`
`getInputStream()`
`int`
`getLineCount()`
`Enumeration`
`getMatchingHeaders(String[] strings)`
`Enumeration`
`getNonMatchingHeaders(String[] strings)`
`javax.mail.Message`
`getRealMessage()`
`Date`
`getReceivedDate()`
`Address[]`
`getRecipients(javax.mail.Message.RecipientType type)`
`Date`
`getSentDate()`
`int`
`getSize()`
`String`
`getSubject()`
`boolean`
`isMimeType(String s)`
`void`
`removeHeader(String s)`
`Message`
`reply(boolean b)`
`void`
`saveChanges()`
`void`
`setContent(Object o, String s)`
`void`
`setContent(Multipart multipart)`
`void`
`setDataHandler(javax.activation.DataHandler handler)`
`void`
`setDescription(String s)`
`void`
`setDisposition(String s)`
`void`
`setFileName(String s)`
`void`
`setFlags(Flags flags, boolean b)`
`void`
`setFrom()`
`void`
`setFrom(Address address)`
`void`
`setHeader(String s, String s1)`
`void`
`setRecipients(javax.mail.Message.RecipientType type, Address[] addresses)`
`void`
`setSentDate(Date date)`
`void`
`setSubject(String s)`
`void`
`setText(String s)`
`void`
`writeTo(OutputStream stream)`

## Method Details

### getRealMessage

javax.mail.Message getRealMessage()

### getFrom

Address[] getFrom() throws MessagingException

Throws:
  `MessagingException`

### setFrom

void setFrom() throws MessagingException

Throws:
  `MessagingException`

### setFrom

void setFrom(Address address) throws MessagingException

Throws:
  `MessagingException`

### addFrom

void addFrom(Address[] addresses) throws MessagingException

Throws:
  `MessagingException`

### getRecipients

Address[] getRecipients(javax.mail.Message.RecipientType type) throws MessagingException

Throws:
  `MessagingException`

### setRecipients

void setRecipients(javax.mail.Message.RecipientType type, Address[] addresses) throws MessagingException

Throws:
  `MessagingException`

### addRecipients

void addRecipients(javax.mail.Message.RecipientType type, Address[] addresses) throws MessagingException

Throws:
  `MessagingException`

### getSubject

String getSubject() throws MessagingException

Throws:
  `MessagingException`

### setSubject

void setSubject(String s) throws MessagingException

Throws:
  `MessagingException`

### getSentDate

Date getSentDate() throws MessagingException

Throws:
  `MessagingException`

### setSentDate

void setSentDate(Date date) throws MessagingException

Throws:
  `MessagingException`

### getReceivedDate

Date getReceivedDate() throws MessagingException

Throws:
  `MessagingException`

### getFlags

Flags getFlags() throws MessagingException

Throws:
  `MessagingException`

### setFlags

void setFlags(Flags flags, boolean b) throws MessagingException

Throws:
  `MessagingException`

### reply

Message reply(boolean b) throws MessagingException

Throws:
  `MessagingException`

### saveChanges

void saveChanges() throws MessagingException

Throws:
  `MessagingException`

### getSize

int getSize() throws MessagingException

Throws:
  `MessagingException`

### getLineCount

int getLineCount() throws MessagingException

Throws:
  `MessagingException`

### getContentType

String getContentType() throws MessagingException

Throws:
  `MessagingException`

### isMimeType

boolean isMimeType(String s) throws MessagingException

Throws:
  `MessagingException`

### getDisposition

String getDisposition() throws MessagingException

Throws:
  `MessagingException`

### setDisposition

void setDisposition(String s) throws MessagingException

Throws:
  `MessagingException`

### getDescription

String getDescription() throws MessagingException

Throws:
  `MessagingException`

### setDescription

void setDescription(String s) throws MessagingException

Throws:
  `MessagingException`

### getFileName

String getFileName() throws MessagingException

Throws:
  `MessagingException`

### setFileName

void setFileName(String s) throws MessagingException

Throws:
  `MessagingException`

### getInputStream

InputStream getInputStream() throws IOException, MessagingException

Throws:
  `IOException`
  `MessagingException`

### getDataHandler

javax.activation.DataHandler getDataHandler() throws MessagingException

Throws:
  `MessagingException`

### getContent

Object getContent() throws IOException, MessagingException

Throws:
  `IOException`
  `MessagingException`

### setDataHandler

void setDataHandler(javax.activation.DataHandler handler) throws MessagingException

Throws:
  `MessagingException`

### setContent

void setContent(Object o, String s) throws MessagingException

Throws:
  `MessagingException`

### setText

void setText(String s) throws MessagingException

Throws:
  `MessagingException`

### setContent

void setContent(Multipart multipart) throws MessagingException

Throws:
  `MessagingException`

### writeTo

void writeTo(OutputStream stream) throws IOException, MessagingException

Throws:
  `IOException`
  `MessagingException`

### getHeader

String[] getHeader(String s) throws MessagingException

Throws:
  `MessagingException`

### setHeader

void setHeader(String s, String s1) throws MessagingException

Throws:
  `MessagingException`

### addHeader

void addHeader(String s, String s1) throws MessagingException

Throws:
  `MessagingException`

### removeHeader

void removeHeader(String s) throws MessagingException

Throws:
  `MessagingException`

### getAllHeaders

Enumeration getAllHeaders() throws MessagingException

Throws:
  `MessagingException`

### getMatchingHeaders

Enumeration getMatchingHeaders(String[] strings) throws MessagingException

Throws:
  `MessagingException`

### getNonMatchingHeaders

Enumeration getNonMatchingHeaders(String[] strings) throws MessagingException

Throws:
  `MessagingException`